<?php 
 
// array for JSON response
$response = array();
 
 require_once __DIR__ . '/catchexception.php';
// include db connect class
require_once __DIR__ . '/db_config.php';
  
 
$paraimeino = urldecode($_POST['paraimeino']);
//  $paraimeino ='50219b523fe6004a'; 
try{
if ($paraimeino !="" ) { 
      $paraquery="SELECT *,'Insert' as  process, coalesce((select coalesce(emailid,'') as emailid from tblbranchmaster 
      where branchcode  = (	select branchcode from tblbranchdevicemapping
       where deviceid='$paraimeino' and  statuscode='1' limit 1 )),'') as branchemailid  from tblemailcontrols   "; 
      $result = pg_query($con,$paraquery );
      
    if (!empty($result)) {
        // check for empty result
        if (pg_num_rows($result) > 0) {
      // user node
            $response["Value"] = array();
 
            while ($row = pg_fetch_assoc($result)) {        
              $report = array();
               
                $report["autonum"] = $row["autonum"];
                $report["username"] = $row["username"];
                $report["password"] = $row["password"];
                $report["sender"] = $row["sender"];
                $report["recipients"] = $row["branchemailid"];
                $report["subject"] = $row["subject"]; 
                $report["body"] = $row["body"]; 
                $report["process"] = $row["process"];
           
              // push single product into final response array
              array_push($response["Value"], $report);
            }
            // success
            $response["success"] = 1;
 
            // echoing JSON response
            echo  json_encode($response,JSON_UNESCAPED_UNICODE);


        } else {
            // no user found
            $response["success"] = 0;
            $response["message"] = "No Report found";
 
            // echo no users JSON
            echo json_encode($response);
        }
    } else {
        // no user found
        $response["success"] = 0;
        $response["message"] = "No found";
 
        // echo no users JSON
        echo json_encode($response);
    }
} else {
    // required field is missing
    $response["success"] = 0;
    $response["message"] = "Required field(s) is missing";
 
     echo  json_encode($response,JSON_UNESCAPED_UNICODE);
  }
  mch_db_release($con);
}
//catch exception
catch(Exception $e) {
mch_db_release($con);
echo 'Message: ' .$e->getMessage();
}
?>
